summaryrefslogtreecommitdiffstats
path: root/ci/k8.sh
diff options
context:
space:
mode:
authorNarinder Gupta <narinder.gupta@canonical.com>2017-01-25 17:47:43 -0600
committerNarinder Gupta <narinder.gupta@canonical.com>2017-01-25 17:48:25 -0600
commit7188808f4521feb83e828b14479db8df70c60a7b (patch)
treed44b5fc600eeaa283134992e56bacc603d13b780 /ci/k8.sh
parent5cb0ea7a1b2473a1969e48eff41ff50d540c53bd (diff)
modified to fix kubernetes issue.
Change-Id: Ib9d90bc171836aa83f455d6727c9a1457b5fd400 Signed-off-by: Narinder Gupta <narinder.gupta@canonical.com>
Diffstat (limited to 'ci/k8.sh')
-rwxr-xr-xci/k8.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/ci/k8.sh b/ci/k8.sh
new file mode 100755
index 00000000..b312a84e
--- /dev/null
+++ b/ci/k8.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+set -ex
+mkdir -p ~/.kube || true
+juju scp kubernetes-master/0:config ~/.kube/config || true
+juju scp kubernetes-master/0:kubectl ./kubectl || true
+./kubectl cluster-info || true
+juju config kubernetes-master enable-dashboard-addons=true || true
+#./kubectl proxy
+#http://localhost:8001/ui
+./kubectl get nodes || true
+#./kubectl create -f example.yaml || true
+./kubectl get pods --all-namespaces || true
+./kubectl get services --all-namespaces || true
+juju expose kubernetes-worker || true